List Omni Flow Agents
Retrieve a list of all call agents with all their details.
GET
Headers
x-api-keystringrequiredAPI key used for authenticating requests to the API.
x-workspace-idstringrequiredWorkspace identifier for the API.
[
{
"workspaceId": "674b9687d56a35c024db9cce",
"userId": "674b9687d56a35c024db9ccc",
"name": "test",
"llmModel": "gpt-4o-mini",
"phoneNumberId": null,
"status": "ready",
"createdAt": "2025-01-19T03:18:22.604Z",
"updatedAt": "2025-01-19T03:18:22.604Z",
"messageChannel": "SMS"
},
{
"workspaceId": "674b9687d56a35c024db9cce",
"userId": "674b9687d56a35c024db9ccc",
"name": "test",
"llmModel": "gpt-4o-mini",
"phoneNumberId": {},
"status": "ready",
"createdAt": "2025-01-06T09:13:50.282Z",
"updatedAt": "2025-01-06T09:16:15.796Z",
"messageChannel": "SMS"
}
]Response Fields
workspaceIdstringWorkspace ID associated with the agent.
userIdstringUser ID of the agent creator.
namestringName of the agent.
llmModelstringLanguage model used by the agent (e.g., gpt-4o-mini).
phoneNumberIdobjectThe phone number ID associated with the agent, if available.
statusstringCurrent status of the agent (e.g., ready).
createdAtstringTimestamp when the agent was created.
updatedAtstringTimestamp when the agent was last updated.
messageChannelstringThe channel used by the agent for communication (e.g., SMS).
